DC_IOSTREAM_CLOSE(3)

NAME
dc_iostream_close - Close the I/O stream and free all resources.

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/iostream.h>
dc_status_t
dc_iostream_close(dc_iostream_t *iostream);

DESCRIPTION
Close the I/O stream and free all resources. Accepts the iostream to close and free.

RETURN VALUES
Returns DC_STATUS_SUCCESS on success, or another dc_status_t code on failure.

SEE ALSO
dc_usbhid_open(3), dc_serial_open(3), dc_irda_open(3), dc_bluetooth_open(3).

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org.
This manpage is written by Vincent Hagen, vinnie@script4web.nl.